package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "FIELDDEPENDENCY"
)
public class FIELDDEPENDENCY {
   @XmlAttribute(
      name = "INPUTFIELD",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String inputfield;
   @XmlAttribute(
      name = "OUTPUTFIELD",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String outputfield;

   public String getINPUTFIELD() {
      return this.inputfield;
   }

   public void setINPUTFIELD(String value) {
      this.inputfield = value;
   }

   public String getOUTPUTFIELD() {
      return this.outputfield;
   }

   public void setOUTPUTFIELD(String value) {
      this.outputfield = value;
   }
}
